.e-loop-add-to-cart-form-container,
.add_to_cart_button,
.elementor-add-to-cart .cart,
.elementor-element-2cff0f6 {
   display: none !important;
}



/** --- search button --- */
.search--button {
   cursor: pointer;
}

.search--button .elementor-icon {
   display: grid;
   align-items: center;
}

.search--button .elementor-icon svg {
   font-size: 0.4em;
}
#open-search-section.search--active svg {
   fill: var(--e-global-color-accent); /* або інший стиль */
}

.search--section {
   z-index: 1;
   max-height: 0;
}
.search--section {
   overflow: hidden;
   transition: max-height 0.3s ease-in-out;
   max-height: 0;
   background-color: #fff;
   box-shadow: 0px 5px 16px -11px hsl(0deg 0% 0% / 30%);
}
.search--section .e-con-inner {
   padding: 0;
}
/*~ --- /search section --- */

@media screen and (max-width: 1170px) {
   .elementor-element-7c4c9d0.blur .gt-lang-code {
      display: none;
   }

   .elementor-element-7c4c9d0.blur .gt_float_switcher .gt-selected .gt-current-lang {
      padding: 0 !important;
   }
   .elementor-element-7c4c9d0.blur .gt_float_switcher .gt-selected .gt-current-lang img {
      margin-right: 0;
   }
   .elementor-element-7c4c9d0.blur .gt-current-lang {
      position: relative;
   }
   .elementor-element-7c4c9d0.blur .gt-current-lang .gt_float_switcher-arrow {
      position: absolute;
      top: 0;
      left: 0;
      visibility: hidden;
      transition: none !important;
   }

   .elementor-4105 .elementor-element.elementor-element-9c1e32e .elementor-button {
      padding: 6px 5px 4px;
   }

   .elementor-4105 .elementor-element.elementor-element-95ef52b .elementor-icon-box-title a {
      font-size: 14px;
      font-weight: 400;
   }

   .elementor-element-0144be1 .elementor-button-text {
      font-size: 0;
   }
   .elementor-4105
      .elementor-element.elementor-element-0144be1
      .elementor-button
      .elementor-align-icon-left {
      margin-right: 0;
   }
}


/* --- new styles --- */
:root {
   --new_color: #2DA44A;
}

#rngst-widget-wrapper .css-47qvn2,
#rngst-widget-wrapper .css-wcf3dc,
#rngst-widget-wrapper .css-12taxn3,
a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart,
.woocommerce button.button.alt {
   background-color: var(--new_color);
}

a {
   color: var(--new_color);
}

.rngst_phone_button {
	display: none !important;
}


.none_ {
    display: none;
}
/* --- /new styles --- */


/* --- filter --- */
.flexibility_filter:has(.facetwp-type-checkboxes:empty),
.flexibility_filter:has(.empty-section_:empty) {
    display: none;
}

.cat-sidebar {
	align-self: start;
   display: grid;
   gap: 0;
   padding: 0 15px 10px !important;
   border-radius: 15px;
   max-height: 88svh;
   overflow: auto;
}
.cat-sidebar .facetwp-display-value,
.cat-sidebar .facetwp-checkbox .facetwp-counter {
   font-size: 14px;
}

.cat-sidebar .elementor-widget-facetwp-facet h3,
.flexibility_filter h3 {
   font-size: 1rem;
   text-align: left;
   padding-top: 10px;
   margin-bottom: 10px;
}
.cat-sidebar .elementor-widget-facetwp-facet .facetwp-checkbox,
.flexibility_filter .facetwp-checkbox {
    background-image: url("data:image/svg+xml,%0A%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m26 4h-20a2 2 0 0 0 -2 2v20a2 2 0 0 0 2 2h20a2 2 0 0 0 2-2v-20a2 2 0 0 0 -2-2zm-20 22v-20h20v20z'/%3E%3Cpath d='m0 0h32v32h-32z' fill='none'/%3E%3C/svg%3E");
    background-size: 20px;
    background-position: left center;
    padding-left: 22px;
}
.cat-sidebar .elementor-widget-facetwp-facet .facetwp-checkbox:not(.disabled):hover,
.flexibility_filter .facetwp-checkbox:not(.disabled):hover {
    background-image: url("data:image/svg+xml,%0A%3Csvg fill='%232DA44A' viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m26 4h-20a2 2 0 0 0 -2 2v20a2 2 0 0 0 2 2h20a2 2 0 0 0 2-2v-20a2 2 0 0 0 -2-2zm-20 22v-20h20v20z'/%3E%3Cpath d='m0 0h32v32h-32z' fill='none'/%3E%3C/svg%3E");
    color: var(--new_color);
}
.cat-sidebar .elementor-widget-facetwp-facet .facetwp-checkbox.checked,
.flexibility_filter .facetwp-checkbox.checked {
    background-image: url("data:image/svg+xml,%0A%3Csvg fill='%232DA44A' viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m26 4h-20a2 2 0 0 0 -2 2v20a2 2 0 0 0 2 2h20a2 2 0 0 0 2-2v-20a2 2 0 0 0 -2-2zm-20 22v-20h20v20z'/%3E%3Cpath d='m14 21.5-5-4.96 1.59-1.54 3.41 3.35 7.41-7.35 1.59 1.58z'/%3E%3Cpath d='m0 0h32v32h-32z' fill='none'/%3E%3C/svg%3E");
}

/* --- /filter --- */


/* --- stock status --- */
.woocommerce a.button:not(.add_to_cart_button),
.woocommerce a.button.onbackorder, 
.woocommerce a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart.discontinued {
    pointer-events: none;
    color: #fff;
    background-color: #999;
    font-weight: normal;
}
.e-loop-add-to-cart-form:has(a.button:not(.add_to_cart_button)) .quantity, 
.e-loop-add-to-cart-form:has(a.button.onbackorder) .quantity,
.e-loop-add-to-cart-form:has(a.button.discontinued) .quantity {
    pointer-events: none;
    display: none;
}

.discontinued-notice {
   color: #ff0000;
   font-weight: bold;
   margin: 10px 0;
}

/* Приховуємо кнопку на всіх етапах */
/* .discontinued .add_to_cart_button,  */
.discontinued .single_add_to_cart_button {
    display: none !important;
}

/* --- /stock status --- */


/* --- product loop item --- */
.product-loop-item_ {
   height: 100%;
}
.cat_prodCard_price .elementor-widget-container {
	display: grid;
    justify-content: center;
}
/* --- /product loop item --- */